#!/bin/bash

source bin/script/test-setup.bash
source lib/cascade-lib.bash


for d in packages ; do
  echo "Running $d/CASCADE-MAKE.sh $*"

  (cd $d ; ./CASCADE-MAKE.sh $*)

  if [ $? != 0 ] ; then
    echo "Error encountered running $d/CASCADE-COMPILE.sh"
    exit 1
  fi
done


