#!/bin/bash

package=sox
version=-14.0.1

progname=$0

source ../bin/script/test-setup.bash
source ../lib/cascade-lib.bash

prefix=$GEXTAUDIO_INSTALLED

opt_run_untar $force_untar $auto_untar $package $version

opt_run_configure $force_config $auto_config $package $version "$prefix" \
        "--with-lame --with-mad \
        CFLAGS=-I$prefix/include \
        LDFLAGS=-L$prefix/lib"

opt_run_make $compile   $package $version
opt_run_make $install   $package $version "install"
opt_run_make $clean     $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version
